Exchange Rates API
Live exchange rates
The live endpoint delivers real-time currency exchange data, providing instant access to current market rates for seamless financial operations and dynamic currency monitoring.
GET
/
v1
/
live
/
Get live exchange rates
curl --request GET \
--url https://exchange-rates.cleariflow.com/v1/live/import requests
url = "https://exchange-rates.cleariflow.com/v1/live/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://exchange-rates.cleariflow.com/v1/live/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://exchange-rates.cleariflow.com/v1/live/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://exchange-rates.cleariflow.com/v1/live/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://exchange-rates.cleariflow.com/v1/live/")
.asString();require 'uri'
require 'net/http'
url = URI("https://exchange-rates.cleariflow.com/v1/live/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"base": "EUR",
"last_updated": 1755806612,
"exchange_rates": {
"AED": 4.26365,
"AFN": 79.371761,
"ALL": 96.766559,
"AMD": 444.303396,
"ANG": 2.07788,
"AOA": 1064.607378,
"ARS": 1526.092012,
"AUD": 1.806504,
"AWG": 2.091193,
"AZN": 1.972485,
"BAM": 1.94832,
"BBD": 2.337356,
"BDT": 141.197895,
"BGN": 1.955876,
"BHD": 0.437742,
"BIF": 3441.108157,
"BMD": 1.160968,
"BND": 1.493687,
"BOB": 8.019865,
"BRL": 6.358386,
"BSD": 1.160489,
"BTC": 0.000010310136,
"BTN": 101.21369,
"BWP": 15.615325,
"BYN": 3.908315,
"BYR": 22754.966223,
"BZD": 2.328351,
"CAD": 1.613524,
"CDF": 3326.172282,
"CHF": 0.939106,
"CLF": 0.028737,
"CLP": 1127.358136,
"CNH": 8.340287,
"CNY": 8.336214,
"COP": 4685.375252,
"CRC": 585.59961,
"CUC": 1.160968,
"CUP": 30.765643,
"CVE": 110.675173,
"CZK": 24.576564,
"DJF": 206.327505,
"DKK": 7.464964,
"DOP": 72.415347,
"DZD": 150.838676,
"EGP": 56.298231,
"ERN": 17.414515,
"ETB": 164.622148,
"FJD": 2.639866,
"FKP": 0.863167,
"GBP": 0.865164,
"GEL": 3.128807,
"GGP": 0.863167,
"GHS": 12.776446,
"GIP": 0.863167,
"GMD": 83.589605,
"GNF": 10075.458774,
"GTQ": 8.898796,
"GYD": 242.80765,
"HKD": 9.071975,
"HNL": 30.525752,
"HRK": 7.533057,
"HTG": 151.846358,
"HUF": 396.377133,
"IDR": 18982.924233,
"ILS": 3.959365,
"IMP": 0.863167,
"INR": 101.308333,
"IQD": 1520.86764,
"IRR": 48818.690683,
"ISK": 143.390958,
"JEP": 0.863167,
"JMD": 186.50395,
"JOD": 0.823108,
"JPY": 172.202267,
"KES": 150.348297,
"KGS": 101.524282,
"KHR": 4649.676029,
"KMF": 490.514729,
"KPW": 1044.880197,
"KRW": 1626.556298,
"KWD": 0.355128,
"KYD": 0.967166,
"KZT": 623.825974,
"LAK": 25076.901249,
"LBP": 103970.458898,
"LKR": 350.343584,
"LRD": 234.370341,
"LSL": 20.51426,
"LTL": 3.428035,
"LVL": 0.702258,
"LYD": 6.298234,
"MAD": 10.472154,
"MDL": 19.538584,
"MGA": 5148.891487,
"MKD": 61.564837,
"MMK": 2436.793158,
"MNT": 4174.925262,
"MOP": 9.340105,
"MRU": 46.403613,
"MUR": 53.102389,
"MVR": 17.890252,
"MWK": 2016.019751,
"MXN": 21.783335,
"MYR": 4.904511,
"MZN": 74.189833,
"NAD": 20.51403,
"NGN": 1784.279885,
"NIO": 42.724297,
"NOK": 11.816444,
"NPR": 161.941505,
"NZD": 1.994252,
"OMR": 0.446385,
"PAB": 1.160539,
"PEN": 4.074746,
"PGK": 4.810464,
"PHP": 66.382391,
"PKR": 327.334442,
"PLN": 4.256788,
"PYG": 8385.912082,
"QAR": 4.226793,
"RON": 5.053583,
"RSD": 117.178773,
"RUB": 93.545406,
"RWF": 1677.598275,
"SAR": 4.356784,
"SBD": 9.543586,
"SCR": 17.083033,
"SDG": 697.172079,
"SEK": 11.169246,
"SGD": 1.496253,
"SHP": 0.912338,
"SLE": 27.052052,
"SLL": 24344.909083,
"SOS": 663.494948,
"SRD": 44.093416,
"STD": 24029.68667,
"STN": 24.78666,
"SVC": 10.15419,
"SYP": 15094.850487,
"SZL": 20.51423,
"THB": 37.921835,
"TJS": 10.909308,
"TMT": 4.063387,
"TND": 3.356326,
"TOP": 2.719101,
"TRY": 47.525837,
"TTD": 7.864449,
"TWD": 35.421552,
"TZS": 2891.836946,
"UAH": 47.809567,
"UGX": 4137.187253,
"USD": 1.160968,
"UYU": 46.661654,
"UZS": 14512.095553,
"VES": 160.163499,
"VND": 30687.277791,
"VUV": 139.211829,
"WST": 3.1432,
"XAF": 653.501468,
"XAG": 0.030479,
"XAU": 0.000348,
"XCD": 3.137573,
"XCG": 2.091641,
"XDR": 0.812147,
"XOF": 652.464211,
"XPF": 119.331742,
"YER": 278.86379,
"ZAR": 20.58816,
"ZMK": 10450.103649,
"ZMW": 26.838156,
"ZWL": 373.831114
}
}
Getting started
Base URL
https://exchange-rates.cleariflow.com/v1/live/
Validation endpoint
When no target currencies are specified, the endpoint returns rates for all available currencies. Explore the complete list of supported currencies here.curl 'https://exchange-rates.cleariflow.com/v1/live/?api_key=YOUR_API_KEY&base=USD'
{
"base": "EUR",
"last_updated": 1755806612,
"exchange_rates": {
"AED": 4.26365,
"AFN": 79.371761,
"ALL": 96.766559,
"AMD": 444.303396,
"ANG": 2.07788,
"AOA": 1064.607378,
"ARS": 1526.092012,
"AUD": 1.806504,
"AWG": 2.091193,
"AZN": 1.972485,
"BAM": 1.94832,
"BBD": 2.337356,
"BDT": 141.197895,
"BGN": 1.955876,
"BHD": 0.437742,
"BIF": 3441.108157,
"BMD": 1.160968,
"BND": 1.493687,
"BOB": 8.019865,
"BRL": 6.358386,
"BSD": 1.160489,
"BTC": 0.000010310136,
"BTN": 101.21369,
"BWP": 15.615325,
"BYN": 3.908315,
"BYR": 22754.966223,
"BZD": 2.328351,
"CAD": 1.613524,
"CDF": 3326.172282,
"CHF": 0.939106,
"CLF": 0.028737,
"CLP": 1127.358136,
"CNH": 8.340287,
"CNY": 8.336214,
"COP": 4685.375252,
"CRC": 585.59961,
"CUC": 1.160968,
"CUP": 30.765643,
"CVE": 110.675173,
"CZK": 24.576564,
"DJF": 206.327505,
"DKK": 7.464964,
"DOP": 72.415347,
"DZD": 150.838676,
"EGP": 56.298231,
"ERN": 17.414515,
"ETB": 164.622148,
"FJD": 2.639866,
"FKP": 0.863167,
"GBP": 0.865164,
"GEL": 3.128807,
"GGP": 0.863167,
"GHS": 12.776446,
"GIP": 0.863167,
"GMD": 83.589605,
"GNF": 10075.458774,
"GTQ": 8.898796,
"GYD": 242.80765,
"HKD": 9.071975,
"HNL": 30.525752,
"HRK": 7.533057,
"HTG": 151.846358,
"HUF": 396.377133,
"IDR": 18982.924233,
"ILS": 3.959365,
"IMP": 0.863167,
"INR": 101.308333,
"IQD": 1520.86764,
"IRR": 48818.690683,
"ISK": 143.390958,
"JEP": 0.863167,
"JMD": 186.50395,
"JOD": 0.823108,
"JPY": 172.202267,
"KES": 150.348297,
"KGS": 101.524282,
"KHR": 4649.676029,
"KMF": 490.514729,
"KPW": 1044.880197,
"KRW": 1626.556298,
"KWD": 0.355128,
"KYD": 0.967166,
"KZT": 623.825974,
"LAK": 25076.901249,
"LBP": 103970.458898,
"LKR": 350.343584,
"LRD": 234.370341,
"LSL": 20.51426,
"LTL": 3.428035,
"LVL": 0.702258,
"LYD": 6.298234,
"MAD": 10.472154,
"MDL": 19.538584,
"MGA": 5148.891487,
"MKD": 61.564837,
"MMK": 2436.793158,
"MNT": 4174.925262,
"MOP": 9.340105,
"MRU": 46.403613,
"MUR": 53.102389,
"MVR": 17.890252,
"MWK": 2016.019751,
"MXN": 21.783335,
"MYR": 4.904511,
"MZN": 74.189833,
"NAD": 20.51403,
"NGN": 1784.279885,
"NIO": 42.724297,
"NOK": 11.816444,
"NPR": 161.941505,
"NZD": 1.994252,
"OMR": 0.446385,
"PAB": 1.160539,
"PEN": 4.074746,
"PGK": 4.810464,
"PHP": 66.382391,
"PKR": 327.334442,
"PLN": 4.256788,
"PYG": 8385.912082,
"QAR": 4.226793,
"RON": 5.053583,
"RSD": 117.178773,
"RUB": 93.545406,
"RWF": 1677.598275,
"SAR": 4.356784,
"SBD": 9.543586,
"SCR": 17.083033,
"SDG": 697.172079,
"SEK": 11.169246,
"SGD": 1.496253,
"SHP": 0.912338,
"SLE": 27.052052,
"SLL": 24344.909083,
"SOS": 663.494948,
"SRD": 44.093416,
"STD": 24029.68667,
"STN": 24.78666,
"SVC": 10.15419,
"SYP": 15094.850487,
"SZL": 20.51423,
"THB": 37.921835,
"TJS": 10.909308,
"TMT": 4.063387,
"TND": 3.356326,
"TOP": 2.719101,
"TRY": 47.525837,
"TTD": 7.864449,
"TWD": 35.421552,
"TZS": 2891.836946,
"UAH": 47.809567,
"UGX": 4137.187253,
"USD": 1.160968,
"UYU": 46.661654,
"UZS": 14512.095553,
"VES": 160.163499,
"VND": 30687.277791,
"VUV": 139.211829,
"WST": 3.1432,
"XAF": 653.501468,
"XAG": 0.030479,
"XAU": 0.000348,
"XCD": 3.137573,
"XCG": 2.091641,
"XDR": 0.812147,
"XOF": 652.464211,
"XPF": 119.331742,
"YER": 278.86379,
"ZAR": 20.58816,
"ZMK": 10450.103649,
"ZMW": 26.838156,
"ZWL": 373.831114
}
}
Request parameters
Your unique API key. Note that each user has unique API keys for each of
Cleariflow APIs, so your Exchange Rates API key will not work for your IP
Geolocation API, for example.
The base currency used to get the latest exchange rate(s) for. Uses the ISO 4217 currency standard (e.g., USD for United States Dollars), like all currency parameters in this API.
The target currency or currencies to get the exchange rate of versus the base currency. Like the base parameters, any currency passed here follows the ISO 4217 standard. If multiple currencies are passed in the target, they should be separated by commas (e.g., &target=EUR,CAD,AUD).
Response parameters
The API response is returned in a universal and lightweight JSON format.A JSON Object containing each of the target currency as the key and its exchange rate versus the base currency as that key’s value.
Query Parameters
Response
Successful response
⌘I
Get live exchange rates
curl --request GET \
--url https://exchange-rates.cleariflow.com/v1/live/import requests
url = "https://exchange-rates.cleariflow.com/v1/live/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://exchange-rates.cleariflow.com/v1/live/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://exchange-rates.cleariflow.com/v1/live/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://exchange-rates.cleariflow.com/v1/live/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://exchange-rates.cleariflow.com/v1/live/")
.asString();require 'uri'
require 'net/http'
url = URI("https://exchange-rates.cleariflow.com/v1/live/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"base": "EUR",
"last_updated": 1755806612,
"exchange_rates": {
"AED": 4.26365,
"AFN": 79.371761,
"ALL": 96.766559,
"AMD": 444.303396,
"ANG": 2.07788,
"AOA": 1064.607378,
"ARS": 1526.092012,
"AUD": 1.806504,
"AWG": 2.091193,
"AZN": 1.972485,
"BAM": 1.94832,
"BBD": 2.337356,
"BDT": 141.197895,
"BGN": 1.955876,
"BHD": 0.437742,
"BIF": 3441.108157,
"BMD": 1.160968,
"BND": 1.493687,
"BOB": 8.019865,
"BRL": 6.358386,
"BSD": 1.160489,
"BTC": 0.000010310136,
"BTN": 101.21369,
"BWP": 15.615325,
"BYN": 3.908315,
"BYR": 22754.966223,
"BZD": 2.328351,
"CAD": 1.613524,
"CDF": 3326.172282,
"CHF": 0.939106,
"CLF": 0.028737,
"CLP": 1127.358136,
"CNH": 8.340287,
"CNY": 8.336214,
"COP": 4685.375252,
"CRC": 585.59961,
"CUC": 1.160968,
"CUP": 30.765643,
"CVE": 110.675173,
"CZK": 24.576564,
"DJF": 206.327505,
"DKK": 7.464964,
"DOP": 72.415347,
"DZD": 150.838676,
"EGP": 56.298231,
"ERN": 17.414515,
"ETB": 164.622148,
"FJD": 2.639866,
"FKP": 0.863167,
"GBP": 0.865164,
"GEL": 3.128807,
"GGP": 0.863167,
"GHS": 12.776446,
"GIP": 0.863167,
"GMD": 83.589605,
"GNF": 10075.458774,
"GTQ": 8.898796,
"GYD": 242.80765,
"HKD": 9.071975,
"HNL": 30.525752,
"HRK": 7.533057,
"HTG": 151.846358,
"HUF": 396.377133,
"IDR": 18982.924233,
"ILS": 3.959365,
"IMP": 0.863167,
"INR": 101.308333,
"IQD": 1520.86764,
"IRR": 48818.690683,
"ISK": 143.390958,
"JEP": 0.863167,
"JMD": 186.50395,
"JOD": 0.823108,
"JPY": 172.202267,
"KES": 150.348297,
"KGS": 101.524282,
"KHR": 4649.676029,
"KMF": 490.514729,
"KPW": 1044.880197,
"KRW": 1626.556298,
"KWD": 0.355128,
"KYD": 0.967166,
"KZT": 623.825974,
"LAK": 25076.901249,
"LBP": 103970.458898,
"LKR": 350.343584,
"LRD": 234.370341,
"LSL": 20.51426,
"LTL": 3.428035,
"LVL": 0.702258,
"LYD": 6.298234,
"MAD": 10.472154,
"MDL": 19.538584,
"MGA": 5148.891487,
"MKD": 61.564837,
"MMK": 2436.793158,
"MNT": 4174.925262,
"MOP": 9.340105,
"MRU": 46.403613,
"MUR": 53.102389,
"MVR": 17.890252,
"MWK": 2016.019751,
"MXN": 21.783335,
"MYR": 4.904511,
"MZN": 74.189833,
"NAD": 20.51403,
"NGN": 1784.279885,
"NIO": 42.724297,
"NOK": 11.816444,
"NPR": 161.941505,
"NZD": 1.994252,
"OMR": 0.446385,
"PAB": 1.160539,
"PEN": 4.074746,
"PGK": 4.810464,
"PHP": 66.382391,
"PKR": 327.334442,
"PLN": 4.256788,
"PYG": 8385.912082,
"QAR": 4.226793,
"RON": 5.053583,
"RSD": 117.178773,
"RUB": 93.545406,
"RWF": 1677.598275,
"SAR": 4.356784,
"SBD": 9.543586,
"SCR": 17.083033,
"SDG": 697.172079,
"SEK": 11.169246,
"SGD": 1.496253,
"SHP": 0.912338,
"SLE": 27.052052,
"SLL": 24344.909083,
"SOS": 663.494948,
"SRD": 44.093416,
"STD": 24029.68667,
"STN": 24.78666,
"SVC": 10.15419,
"SYP": 15094.850487,
"SZL": 20.51423,
"THB": 37.921835,
"TJS": 10.909308,
"TMT": 4.063387,
"TND": 3.356326,
"TOP": 2.719101,
"TRY": 47.525837,
"TTD": 7.864449,
"TWD": 35.421552,
"TZS": 2891.836946,
"UAH": 47.809567,
"UGX": 4137.187253,
"USD": 1.160968,
"UYU": 46.661654,
"UZS": 14512.095553,
"VES": 160.163499,
"VND": 30687.277791,
"VUV": 139.211829,
"WST": 3.1432,
"XAF": 653.501468,
"XAG": 0.030479,
"XAU": 0.000348,
"XCD": 3.137573,
"XCG": 2.091641,
"XDR": 0.812147,
"XOF": 652.464211,
"XPF": 119.331742,
"YER": 278.86379,
"ZAR": 20.58816,
"ZMK": 10450.103649,
"ZMW": 26.838156,
"ZWL": 373.831114
}
}